%define upstream_name    Pod-Cpandoc
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perldoc that works for modules you don't have installed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON::PP)
BuildArch:  noarch

%description
'cpandoc' is a perl script that acts like 'perldoc' except that if it would
have bailed out with 'No documentation found for "Uninstalled::Module"', it
will instead scrape a CPAN index for the module's documentation.

One important feature of 'cpandoc' is that it _only_ scrapes the live index
if you do not have the module installed. So if you use 'cpandoc' on a
module you already have installed, then it will just read the
already-installed documentation. This means that the version of the
documentation matches up with the version of the code you have. As a fringe
benefit, 'cpandoc' will be fast for modules you've installed. :)

All this means that you should be able to drop in 'cpandoc' in place of
'perldoc' and have everything keep working. See the /SNEAKY INSTALL manpage
for how to do this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpandoc
/usr/share/man/man1/cpandoc.1.bz2

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.150.0-7pclos2017
- rebuild against updates

